summaryrefslogtreecommitdiff
path: root/tests/tail-2/follow-name.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/follow-name.sh')
-rwxr-xr-xtests/tail-2/follow-name.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/tests/tail-2/follow-name.sh b/tests/tail-2/follow-name.sh
index ea5c5d9ef..f75da7ace 100755
--- a/tests/tail-2/follow-name.sh
+++ b/tests/tail-2/follow-name.sh
@@ -24,8 +24,7 @@ tail: cannot open 'no-such' for reading: No such file or directory
tail: no files remaining
EOF
-timeout 10 tail --follow=name no-such > out 2> err
-test $? = 1 || fail=1
+returns_ 1 timeout 10 tail --follow=name no-such > out 2> err || fail=1
# Remove an inconsequential inotify warning so
# we can compare against the above error